Skip to content
vocapable.Docs

Your evaluations (team for supervisors)

GET
/v1/mobile/workspace/quality/evaluations
curl --request GET \
--url https://api.vocapable.com/v1/mobile/workspace/quality/evaluations \
--header 'Authorization: Bearer <token>'
status
Any of:
string
Allowed values: draft submitted acknowledged completed needs_review reviewed
cursor
Any of:
string
<= 64 characters

Successful Response

Media typeapplication/json
QualityEvaluations
object
data
required
Data
Array<object>
QualityEvaluationSummary
object
id
required
Id
string
scorecard_id
required
Scorecard Id
string
scorecard_name
required
Scorecard Name
string
scorecard_version
required
Scorecard Version
integer
call
required
QualityEvaluationCall
object
workspace_call_id
required
Any of:
string
ai_call_id
required
Any of:
string
direction
required
Direction
string
Allowed values: inbound outbound
queue_key
required
Any of:
string
call_at
required
Call At
string format: date-time
conversation_id
Any of:
string
channel
Channel
string
default: voice
Allowed values: voice sms
subject_kind
required
Subject Kind
string
Allowed values: person ai_agent
subject
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
score_source
required
Score Source
string
Allowed values: human ai
label
required
Label
string
evaluator
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
status
required
Status
string
Allowed values: draft submitted acknowledged completed needs_review reviewed
score
required
Any of:
number
raw_score
required
Any of:
number
auto_failed
required
Auto Failed
boolean
answered
required
Answered
integer
needs_review_count
required
Needs Review Count
integer
calibration_session_id
required
Any of:
string
reviews_evaluation_id
required
Any of:
string
submitted_at
required
Any of:
string format: date-time
ack_due_at
required
Any of:
string format: date-time
acknowledged_at
required
Any of:
string format: date-time
open_disputes
required
Open Disputes
integer
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
next_cursor
required
Any of:
string
scope
required
Scope
string
Allowed values: self team
Example
{
"data": [
{
"call": {
"direction": "inbound",
"channel": "voice"
},
"subject_kind": "person",
"score_source": "human",
"status": "draft"
}
],
"scope": "self"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}